Subject: Re: [dhcwg] Question regarding RFC 8415 - DHCPv6

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 1 May 2020 23:40:09 +0000

Likely it was a timing issue, as this section may have been written before work on 7943 was done as the process to get RFC8415 completed was a multi-year one and no one caught updating the list. RFC7943 is also informational so not critical as it is just one of many methods one can use. The point of the references that are there was to provide background on the issue and suggested algorithms (the server I work on uses something close to what is in 4941 and has worked well).

You can always file an errata if you feel strongly that this is an issue.

- Bernie

On May 1, 2020, at 4:59 PM, gulaschsuppe2 <[email-masked]> wrote:

Dear Mr. Volz,

i have a question regarding the latest revision of DHCPv6 - RFC 8415:

In Section 13.1 - "Selecting Addresses for Assignment to an IA_NA" it is described that...

> By default, DHCP server implementations SHOULD NOT generate
> predictable addresses (see Section 4.7 of [RFC7721]).  Server
> implementers are encouraged to review [RFC4941], [RFC7824], and
> [RFC7707] as to possible considerations for how to generate
> addresses.

As far as i understand, because SLAAC originally used the modified MAC address as an Interface Identifier, RFC 7217 described an algorithm to create "Stable and Opaque IIDs". Such an RFC for "Stable and Opaque IIDs" was also created for DHCPv6 with RFC 7943, but RFC 7943 is never mentioned in the DHCPv6 revision which came 2 years later (at least when it comes to the mentioned month and year in the RFCs).

I wonder, is there is a specific reason that RFC 7943 was not mentioned in the DHCPv6 revision RFC 8415, because it addresses exactly the problem of predictable addresses mentioned in Section 13.1?

Is RFC 7943 in any way discouraged?

I hope i didn't bother you to much.

Thanks in advance,
Best wishes

René Engel